                        CONTENTS
                        ========

Chapter 1.  Introduction ...................................1

    1-1 An Introduction to the IOP .........................1
    1-2 Hardware specifications ............................1
      1-2-1 IOP3927 card....................................2
      1-2-2 F641 box........................................2
      1-2-3 F642 box........................................3
      1-2-4 R641 box........................................3
      1-2-5 R642 box........................................3
      1-2-6 A642 box........................................3
      1-2-7 A641 box........................................4
      1-2-8 P1688U card.....................................4

Chapter 2. How to install SCO UNIX driver ..................5

    3-1 Introduction .......................................5
    3-2 Installation Environment ...........................5
    3-3 What may be happened while installing ..............5
    3-4 Installation Procedures ............................5
    3-5 The definitions of the Serial Port device ..........8
    3-6 The usage of P1688U card ...........................8

Chapter 3. How to install WINDOWS NT driver ................9

Chapter 4. How to install WINDOWS 2000/XP driver ...........10

Chapter 5. How to install Linux driver .....................11

Appendix A. How to use P640N/P640NU card ...................13

    A-1 How to use P640N/P640NU card .......................13
    A-2 How to install DOS driver ..........................13
    A-3 How to install WIN95/98/Me driver ..................13
    A-4 How to install NT4 system driver ...................14
    A-5 How to install WIN2000/XP driver ...................14
    A-6 How to install Linux system driver..................15
    A-7 How to install SCO Openserver driver ...............15

Appendix B. How to use MUX3927 card ........................16

    B-1 How to use MUX3927 card ............................16
    B-2 How to install NT4 system driver ...................16
    B-3 How to install WIN2000/XP driver ...................16
    B-4 How to install Linux system driver..................17
    B-5 How to install SCO Openserver driver ...............18

Appendix C. RAYON REPAIR PROCEDURE .........................19

                        ---1---

                  -----Chapter 1-----
                     Introduction

1-1. An introduction to the IOP

  Intelligent Input/Output Processor (IOP) is an intelligent Input/Output
control card which is suitable to PC AT or other compatible machine. IOP
can reduce the loading of main CPU (MPU) on the mainboard to improve the
whole system performance.

  The IOP is made up of two parts:
1) IOP3927 CPU card:
      IOP3927 CPU card includes a local high performance processor to
   manage the data flow between main CPU and external interface. This card
   also includes dual port RAM and one 37 pin connector to connect external
   I/O port. Through dual port RAM the local processor can communicate with
   main CPU. Because different application environment may have different
   cost/performance requirement. So we have many models and connector
   boxes to be selected.

2) external I/O connector box:
      IOP3927 can support many types of external I/O interface. All the
   interface control function circuitry and connector are built in one
   box. For different interface and control function requirement we have
   different box. These connector boxes can be daisy chain together and
   connect to IOP3927 CPU card through one 37 pin cable. In the
   following description we will use F641 box as an example.

   For one PC AT system, we can install up to 2 IOP3927 CPU cards together.
And one IOP3927 CPU card can support upto 8 external boxes.So user can be
easily to configure their resource and get the optimum cost performance
solution anytime.

   We have one special configuration for IOP3927 card with F641 box on one
card. P1688U card is such special card for fixed 8 port application. P1688U
card can support high performance and less expensive solution for user. All
the data for IOP3927 card will be same as P1688U card's usage. For P1688U
card's user following information for IOP3927 card will be same for P1688U
card.

   At present,most of the multi-user system handle the I/O communication
procedure by MPU. MPU will process the I/O function character by character.
This action will waste MPU processing time and drop the system computation
power. If we can use an IOP to handle the I/O communication procedure,
then we can reduce the MPU overhead and increase the system performance.

   For one intelligent multi-user card we must have high performance local
CPU built-in. Because different local processor may have different
processing power. The transmission capability for every serial ports are
depend on local CPU's processing power.

1-2. Hardware specification

  IOP3927 CPU card and I/O connector box have many models, following
specification is some example for user reference.


                        ---2---


1-2-1 IOP3927 CPU card.

 *CPU   ----------- 133MHz TMPR3927 RISC processor.

 *Memory  --------- Can embed 16MByte SDRAM. This SDRAM is dual port RAM
                    can be used by local processor and main system CPU
                    simultaneously. This dual port RAM memory mapping can
                    be set by PCI bus.

 *Connector  ------ Each IOP3927 has one 37pins D-type male connector to
                    connect with external I/O box.
                    Each external I/O box has two 37pins D-type (one female
                    and one male type) connector to connect with IOP3927
                    card and the other I/O box.

NOTE: one IOP3927 card can be in IOP3927A, IOP3927R, IOP3927F types. The
      box to connect with IOP3927 card must match the card type.
      So IOP3927A card can only connect with A641 and A642 box. IOP3927R
      card can only connect with R641 and R642 box. IOP3927F card can only
      connect with F641 and F642 box. Please confirm your card type and box
      type.

 *Expansion  ------ One system can install up to 2 pcs IOP3927 card. One
    capability      IOP3927 card can connect up to 8 pcs external I/O box.
                    Each box can support 8 serial ports and 8 boxes can
                    support upto 64 ports.

 *Environment ----- PC/AT 80X86 or compatible machine.

1-2-2 F641N box.

 *Interface ------- RS232C.

 *Controller ------ FIFO type 16C554 UART chip.

 *Connector  ------ 25 pin D-type male.  (8 ports per box)

 *Connector  ------ Pin 1 -----------Frame Ground.
  Pin definition    Pin 2 -----------Transmit Data Out.
                    Pin 3 -----------Receive Data In.
                    Pin 4 -----------RTS Out.
                    Pin 5 -----------CTS In.
                    Pin 6 -----------DSR In.
                    Pin 7 -----------Signal Ground.
                    Pin 8 -----------DCD In.
                    Pin 20-----------DTR Out.

 *Flow control  --- Xon/Xoff control or RTS/CTS control.

 *Baud Rate  ------ Can support  110, 135,300,600,1200,1800,2400,4800,
                    9600,19200,38400,57600,76800,115200,230400 bps.

NOTE: In software setting 57600,76800,115200,230400 bps will be set to
        50,75,150,200bps for compatibility.

                        ---3---

1-2-3 F642 box.

 *Interface ------- RS422.

 *Controller ------ FIFO type 16C554 UART chip.

 *Connector  ------ 25 pin D-type male.  (8 ports per box)

 *Connector  ------ Pin 1 -----------Frame Ground.
  Pin definition    Pin 7 -----------Signal Ground.
                    Pin 9 -----------RXD+ (in).
                    Pin 10-----------RXD- (in).
                    Pin 11-----------TXD+ (out).
                    Pin 12-----------TXD- (out).

1-2-4 R641 box.

 *Interface ------- RS232C.

 *Controller ------ RISC type CD1865 communication controller.

 *Connector  ------ 25 pin D-type male.  (8 ports per box)

 *Connector  ------ same as F641 box.
  Pin definition

 *Flow control  --- Xon/Xoff control or RTS/CTS control.

 *Baud Rate  ------ Can support  110, 135,150,200,300,600,1200,1800
                    ,2400,4800, 9600,19200,38400,57600,76800 bps.

NOTE: In software setting 57600,76800 bps will be set to 50,75bps for
        compatibility.

1-2-5 R642 box.

 *Interface ------- RS422.

 *Controller ------ RISC type CD1865 communication controller.

 *Connector  ------ 25 pin D-type male.  (8 ports per box)

 *Connector  ------ same as F642 box.
  Pin definition

1-2-6 A642 box.

 *Interface ------- RS422.

 *Controller ------ SCN2681 communication controller.

 *Connector  ------ 25 pin D-type male.  (8 ports per box)

 *Connector  ------ same as F642 box.
  Pin definition

                        ---4---


1-2-7 A641 box.

 *Interface ------- RS232C.

 *Controller ------ SCN2681 communication controller.

 *Connector  ------ 25 pin D-type male.  (8 ports per box)

 *Connector  ------ same as F641 box.
  Pin definition

 *Flow control  --- Xon/Xoff control or RTS/CTS control.

 *Baud Rate  ------ Can support  50,75,110, 135,150,200,300,600,1200
                    ,1800,2400,4800, 9600,19200,38400 bps.

1-2-8 P1688U fix eight port card.

 *CPU   ----------- 133MHz TMPR3927 RISC processor.

 *Memory  --------- Can embed 16MByte SDRAM. This SDRAM is dual port RAM
                    can be used by APU or MPU simultaneously.
                    This dual port RAM memory mapping can be set by
                    PCI bus.

 *Interface ------- RS232C.

 *Controller ------ FIFO type 16C554 UART chip.

 *Connector  ------ Each P1688U has one 62pins D-type female connector to
                    connect with external expansion cable.

 *Expansion  ------ R801 cable: support eight DB25 male connector. (RS232)
    cable                       DB25 pin definition same as F641 box.
                    R804 cable: support eight DB9 male connector. (RS232)
                                DB9 pin definition as follow:
                                    pin1=DCD (in)   pin6=DSR (in)
                                    pin2=RXD (in)   pin7=RTS (out)
                                    pin3=TXD (out)  pin8=CTS (in)
                                    pin4=DTR (out)  pin9=N.C.
                                    pin5=GND
                    R803 cable: support P1688U card to connect with
                                RS4232-8 box to support eight ground
                                isolated RS422/485 interface.

 *Flow control  --- Xon/Xoff control or RTS/CTS control.

 *Baud Rate  ------ Can support  110, 135,300,600,1200,1800,2400,4800,
                    9600,19200,38400,57600,76800,115200,230400 bps.

NOTE: In software setting 57600,76800,115200,230400 bps will be set to
        50,75,150,200bps for compatibility.

                        ---5---

                        Chapter 3
            How to install SCO UNIX driver

3-1 Introduction:
  Under the SCO UNIX operating system, IOP is an extra peripheral device.
So a device driver should be linked with the kernel to build a new kernel
system. The IOP system will work after the new kernel system is restarted.

3-2 Installation Environment:
  (1) IBM PC/AT X86 or other compatible machine.

  (2) SCO Openserver 5.0.x.

  (3) Under the above environments, all of the Link Kit packages should be
      installed completely.

3-3 What may be happened while installing
  (1) Link kit packages have not been installed completely.
      Solution: Install Link kit completely.

  (2) Can not boot the system due to low voltage level.
      Solution: Reduce the number of IOP3927 card or F641/F642 box, or use
                a higher wattage power supply.

3-4 Installation procedures
  There are two methods for installing the device driver of the IOP.

(1) use /etc/custom
   a) Login as a super-user.

        login : root
        password :
        # /etc/custom

*******Note: this command is used for following default condition. User
             has one 3.5 inch disk drive in DRIVE A and uses our 3.5
             inch diskette. If the DRIVE A is not 3.5  inch disk drive
             or different format in system, please check the manual
             for "custom" command to set correct command line.

   b) Choose the "Add a Supported Product" item.
        And then select "Install one or more packages" item.

        How many IOP3927 cards can be installed ?
        Enter 1-2 or enter q to quit:

   c) Please strike the numeric key 1 to 2 to continue the installation
      procedure.

        Updating system configuration.
        Making terminal devices 100%
        Editing terminal definitions 100%
        Installing IOP3927 driver.
        You must create a new kernel to effect the driver change
        you specified.
        Do you wish to create a new kernel now? (y/n)


                        ---6---

    d) Now,strike "n" key if you want to quit this procedure, or "y" key
       to continue the procedure. (Of course you may need to choose "y")

    e) From this procedure the screen message and installation procedure
       will be as following.

        The UNIX Operating System will now be rebuild
        This will take a few minutes. Please wait
        The UNIX Kernel has been rebuilt

     f) At sight of the above message, you can assure that you have
        finished your installation. At this moment, please shutdown the
        operating system and reboot it. You will find the system
        performance  better than ever.

CAUTION: If it is not workable, check your procedure of installation.
        Maybe your device driver is not well-installed, correct your
        errors indicated on the screen and execute the installation
        procedure again.

 (2) use tar command
     When there is no "custom" command in system, we could use the "tar"
     command.

      a) Login as a super user and go to root directory.

        login : root
        password :
        # cd /

      b) Extract all the files on the diskette by "tar" command.

        tar xvf /dev/fd0135ds18


*******Note: this command is used for following default condition. User
             has one 3.5 inch disk drive in DRIVE A and uses our 3.5
             inch diskette. If the DRIVE A is not 3.5 inch disk drive
             , please check the manual for "tar" command to set correct
             command line.


      c) # cd /etc/IOP3927

      d) # ./build

      e) System will display following main menu on the screen:

        RAYON Intelligent Input/Output Processor
        Installation:
                1. Install IOP3927 Driver
                2. Remove IOP3927 Driver
        Select an option or enter q to quit :

        ****please select 1 here******

      f) Follow the same procedure as method 1 step b).

                        ---7---


  3) After restarting the new kernel, the IOP will indicate as follows:

        PCIIOP: unit=0 type= IOP3927F bus=0 dev=0 fun=0 map= 0xF4000000
         .
         .
         .
         .
        Downloading IOP3927 card(s) .......
        PCIIOP: unit= 0 type= IOP3927F ports= 8(P641)
         .
         .
         .
         .
         .
 Here:
     "unit="  denotes the installation card number in this system.

     "type="  denotes the IOP3927 CPU card's type.

     "map=" denotes the mapping address and memory space of dual port
             RAM, should be assigned by PCI bus.

     "ports=" denotes the number of ports,which should be octable of the
                number of P641 box.

  When the above message appears and all of the LED in F641/F642 box light
on, it means the IOP has been installed successfully.

Note: User login is not permitted for all of the IOP ports. Super-user
      should try to enable it.

  If the message of "map=" or "ports=" is not correct (including
no message) or any of the LED in F641/F642 box is not on, we should
proceed error detecting and correcting procedure as follows:
  (1) Shutdown the operating system, turn off the power.

  (2) If you can not boot the system successfully, please check the
      voltage level. If the voltage level is too low to boot the system,
      check the number of IOP3927 card and F641/F642 box.

  (3) Insure the IOP3927 card has been inserted correctly at system
      expansion slot. Insure the 37 pin cable has been connected correctly
      between IOP3927 card and F641/F642 box.

  (4) Turn on power and reboot the operating system.
      If you can insure that the IOP device driver has been installed
      successfully, it is not necessary to re-execute the software
      installation procedure. Otherwise you may need to re-execute the
      software installation procedure.
      Please confirm that IOP3927 card is inserted in PCI slot correctly.
      We can check the BIOS message in boot procedure to confirm all the
      PCI device inserted in your system include IOP3927 card's vendor
      ID code (0x102F) and Device ID code (0x000A). If you could not find
      such vendor ID and device ID for IOP3927 card, you need to insert
      IOP3927 card again or clean the golden finger of IOP3927 card.

                        ---8---


  (5) If the message does not indicate correctly, please repeat previous
      procedure or contact your supplier.

3-5 The definitions of serial port device

 1) Card number definition
     IOP3927  Card No.      |    Device Name
     -----------------------|--------------------
              1'st          |    tty6??
              2'nd          |    tty7??
     --------------------------------------------
    Note: Card number 1 is the card with JP1 jumper on.

 2) F641/F642 box number definition
        F641/F642 box No.   |    Device Name
     -----------------------|--------------------
              1             |    tty?1?
              2             |    tty?2?
              3             |    tty?3?
              4             |    tty?4?
              5             |    tty?5?
              6             |    tty?6?
              7             |    tty?7?
              8             |    tty?8?
     --------------------------------------------
     Note: The box near IOP3927 card is Box number 1.The box number
           will be increased 1 for the next box one by one.

 3) I/O port number definition
                            |    Device Name  |    Device Name
          Port No.          |    (non MODEM)  |    (MODEM)
     -----------------------|-----------------|--------------------
              A             |    tty??a       |    tty??A
              B             |    tty??b       |    tty??B
              C             |    tty??c       |    tty??C
              D             |    tty??d       |    tty??D
              E             |    tty??e       |    tty??E
              F             |    tty??f       |    tty??F
              G             |    tty??g       |    tty??G
              H             |    tty??h       |    tty??H
     -------------------------------------------------------------

3-6 The usage of P1688U card.

    P1688U card is special version for IOP3927 card with one F641 box to
one card. So all the message for P1688U card will be same as IOP3927 card
with one F641 box. In software issue there are no difference for P1688U
card and IOP3927 card. So there are no message for P1688U card.

    In UNIX system you must have message for IOP3927F card to be displayed
for P1688U card. So we must have IOP3927F card with 8 ports to be checked
for P1688U card. Never try to find message for P1688U card.

                        ------9------

                        Chapter 4
                 How to install WINDOWS NT driver
               ====================================

1. In our IOP3927 card series we can support WINDOWS NT driver in our
IOP3927F card only. User can install the driver as following procedure.

1) Enter Windows NT system.
2) Enter "Main".
3) Enter "Control Panel".
4) Choose "Network".
5) Choose "Add adaptor". (Must Must Must not choose "Add Software").
6) put our NT driver diskette to FDD "A".
7) Choose "<other>" Requires disk from manufacture
8) Giving the path as follow:
    A:\NT4   (we suggest that your diskette is in FDD A)
9) Follow the normal procedure we can install the driver successfully.

2. In the default condition the TTY port is given name from "COM3". User
   can specify the start "COM" port number in installation procedure. All
   the serial port will be assigned COM port name from this COM port
   number. In default condition the start COM port number is COM3. So we
   may have COM3 for IOP3927F card's first F641 box's port A. Then port B
   will be COM4.........

3. When your system is installed multiple IOP3927 cards. The card with
   JP1 jumper on(set in 1'st card mode) will have small "COM" port number.
   The card with JP1 jumper off(set in 2'nd card mode) will have large
   "COM"  port number.

4. After you install the driver, you need to reboot your PC.When you
   reboot your PC, you can find the LED in IOP3927 card's external F641
   box is turned on. Then you can have more COM ports to be available.

5. You can use "Hyperterm" to confirm your installation successfully. If
   there are problem to access the COM port, "Hyperterm" will reply
   "open fail" message.

6. When "Hyperterm" can work properly and RAS can not work properly. You
   may need to remove the "MODEM" device and add "MODEM" device again.
   You can not use the MODEM device before installed our driver. You
   need to create new MODEM device to be used by our COM port.

#######WARNNING#########################################################
  If you had installed our NT driver in your system before, you might
removed this driver firstly. Then you can install our new version driver.
Or you may have some problem in your system.   (Keep in mind that you
always need to remove the older version driver. Before you can install
the new version driver.
#######WARNNING#########################################################

7. The usage of P1688U card.
    P1688U card is special version for IOP3927F card with one F641 box to
one card. So all the message for P1688U card will be same as IOP3927 card
with one F641 box. In software issue there are no difference for P1688U
card and IOP3927 card. So there are no message for P1688U card.

                        ------10------

                        Chapter 4
              How to install WINDOWS 2000/XP driver
              =====================================

1. In our IOP3927 card series we can support WINDOWS 2000/XP driver in
our IOP3927F card. User can install the driver as following procedure.

2. Once Windows 2000/XP system has been started, the Plug & Play function
in WIN2000/XP system will find the new IOP3927 card. If this is the first
time to install IOP3927 card in your Windows system, you will be informed
to install the driver. Please follow the instruction message to specify
the driver location.

                A:\WIN2000

3. Due to the COM port start number will be assigned by Win2000/XP system
in driver installation procedure. If you need to specify other COM port
number for IOP3927 card, you can setup in our driver. You can enter
<control panel> <system> <hardware> <device manager> <multi-port serial
adapter> <setup> to specify your target value.

   After driver installation user need to check in "control panel" the
COM port number for IOP3927 card. Because WIN2000/XP system will assign
the COM port number for each port of IOP3927 card. We can not confirm
the physical serial port with logic COM port number after driver
installation.

4. When your system is installed multiple IOP3927 cards. The card with
   JP1 jumper on(set in 1'st card mode) will have small "COM" port number.
   The card with JP1 jumper off(set in 2'nd card mode) will have large
   "COM" port number.

5. You can use "Hyperterm" to confirm your installation successfully. If
   there are problem to access the COM port, "Hyperterm" will reply
   "open fail" message.

6. When "Hyperterm" can work properly and RAS can not work properly. You
   may need to remove the "MODEM" device and add "MODEM" device again.
   You can not use the MODEM device before installed our driver. You
   need to create new MODEM device to be used by our COM port.

7. WIN2000 and WIN XP system use same driver. Please specify
        A:\WIN2000   in WIN2000 and WIN XP driver installation.

8. In WIN2000 system we can install the card's driver firstly and the COM
port driver will be installed automatically. In WIN XP system we can
install the card's driver firstly and the COM port driver will be install
one by one for each port.

9. The usage of P1688U card.
    P1688U card is special version for IOP3927 card with one F641 box to
one card. So all the message for P1688U card will be same as IOP3927 card
with one F641 box. In software issue there are no difference for P1688U
card and IOP3927 card. So there are no message for P1688U card.

                        ------11------

                        Chapter 5
                 How to install Linux driver
               ===============================

  Due to the system configuration in different environment may have big
difference in kernel image. So we support source file type driver in Linux
system. User must have kernel source file in their system. Then user must
use this kernel source file to generate their run time image file. This
run time image file will meet their application environment. This procedure
is same as user to have new kernel version available. User may get new
kernel version source file from LINUX WEB site. Then they will prepare
and generate one run time image file for this kernel version. Our source
file type driver will be installed in such system without any problem.

  Following is the procedure to install our source file type driver.
1. Please use "tar" command to install all the files in diskette to your
   Linux system.
        # cd /
        # tar xvf /dev/fd0
        # cd /etc/rayon
        # ./Install

2. Follow the procedure to configure the module:
        a) choose your Linux distribution type. (Currently we just support
           Slackware and Redhat media)
        b) choose your target card type. (Because we have all products in
           same diskette to install, so you need to select IOP3927 card).
        c) choose your Linux kernel version number.
        d) exit and reboot with new setting.

**********************Note***********************************************
We can have upto 64 ports for one IOP3927 card. So our device name will be
    /dev/tty[6--7][1--8][a--h]
for box number [1--8] in each card and port number [a--h] in each box.
In 1'st card mode (JP1 short on) is tty6xx and 2'nd card mode (JP1 open
off) is tty7xx.
*************************************************************************

3. We suggest that user may have kernel source file in directory
        /usr/src/linux
   If you had different directory path, please link to above path.

4. If you had some "unresolved variable" or error message in next boot
procedure, then you must have different run time image version with your
kernel source file. Because our driver source file will be compiled and
linked with your kernel source file's system configuration. If your run
time image had different system configuration with kernel source file,
you may have such error condition. In this condition you must use your
kernel source file to generate one run time image file as your boot image
file. This is very important for kernel version 2.4.x and later.

5. In our system you can have "etty" directory to test your TTY port.This
utility file can be used to transmit/receive data and verify in assigned
TTY port.


                        ------12------


#######WARNNING###########################################################
  Because Linux system is not commercialized product. They do not have one
fixed interface for driver. So different version Linux system may have
different structure. If you had any problem in Linux system, please send
me E_mail in rayon@ms1.hinet.net
#######WARNNING###########################################################

6. In our system you can have "om" directory to monitor your TTY port.This
utility file can be used to monitor all the data transmission/receive
action in each port. In one screen we can only show 16 TTY ports. So we
have two type utility to show. One type is used to monitor 16 TTY ports
only. The other type is used to monitor all TTY ports and change the
display screen different 16 TTY ports periodically.

7. When you need to remove our driver, you just need to run "Uninstall"
   command in /etc/rayon directory.

8. The usage of P1688U card.

    P1688U card is special version for IOP3927 card with one F641 box to
one card. So all the message for P1688U card will be same as IOP3927 card
with one F641 box. In software issue there are no difference for P1688U
card and IOP3927 card. So there are no message for P1688U card.

9. How to confirm driver installed successfully.
  a)In Linux boot procedure we may have two console out message for IOP3927
    card. You can use "dmesg" to check such console out message in boot
    procedure. Generally you must see the port number for IOP3927 card.
    If there are no message about IOP3927 card, you may not have driver
    installed successfully. Please confirm that you have module driver
    installed command in correct boot initialized file. (In our "Install"
    script file we just suggest to support REDHAT and SLACKWARE system).
    Different Linux distribution system may have different file name
    for boot initialized file. So we may put the module driver installed
    command in wrong file name. Then Linux system may not install our
    module driver in boot procedure.
  b)After boot procedure you must check the LED in external box to be
    turned on. In power on reset condition LED is turned off. The driver
    will check IOP3927 card and external box's hardware. If everything is
    OK, the box's LED will be turned on. Because our IOP3927 card must
    have same card type and box type to use. For IOP3927F card we must
    connect with F641 and F642 box. For IOP3927R card we must connect with
    R641 and R642 box. For IOP3927A card we must connect with A641 and
    A642 box. If you just connected with different type card and box,
    we can not have port available.
  c)We can use "etty" to send data in one dedicated port. We can use "om"
    utility to monitor data transmission function in IOP3927 card.

                        ------13------

                        Appendix A
                 How to use P640N/P640NU card
               ===============================

A-1: How to use P640N/P640NU card.

  P640N card and P640NU card have same software function. So we will use
P640N card in following description for P640N card and P640NU card.

  P640N card can only support 5V PCI slot. P640NU card can support 5V and
3.3V PCI slot.

  P640N card will connect with F641N and F642N box.

  P640N card can have two types available. One type is memory map mode.
The other type is I/O map mode. Due to we can only use I/O map mode to
support DOS and WIN95/98/Me system. So the factory default mode is I/O
map mode. But some PC may not support I/O map in 512byte size. So user
need to use memory map mode.

  Every P640N card must have one IRQ assigned. For any system do not
support APIC feature we must confirm that this IRQ do not conflict with
other system device.

A-2: How to install DOS driver.

  Only P640N card in I/O map mode can support DOS driver. When you need
to install DOS driver, you need to prepare one directory (for example
c:\RAYON). Then we need to copy all files in Windows diskette \DOS
directory to this working directory.

a)You just need to run "P640N" in this directory to install driver.
b)The DOS driver API is specified in "READ.ME" file.
c)In directory \DOS\DEMO you can find the demo program with source file.

A-3: How to install WIN95/98/Me driver.

  Only P640N card in I/O map mode can support WIN95/98/Me driver.

  Once Windows 95/98 system has been started, the Plug & Play function in
95/98/Me system will find the new P640N card. If this is the first time
to install P640N card in your 95/98/Me system, you will be informed to
install the driver. Please follow the instruction message to input the
COM port number start value for first card and second card.

         A:\WIN95

NOTE: You must specify correct path for system to find INF file.

  When we need to install two  P640N cards in one 95/98/Me system,
we must confirm to let one card's jumper is ON. And the other card's
jumper is OFF.

  In WIN98/Me system we need to assign from COM5 or later. Because
COM3/4 had been reserved for legacy COM port. If user specify COM
port number from COM1/COM2/COM3/COM4 may have some unpredictable
problem in some application package.

                        ------14------



A-4: How to install NT4 system driver.

  Once Windows NT system has been started, login using an account with
administrative rights.
  a) Start the [Control Panel] applet by double clicking its icon in the
     [Program Managers] main group.

  b) In the [Control Panel] applet, double click [Network] icon to bring
     up the Network Control Panel Applet(NCPA).

  c) Within the NCPA, select the [Add Adaptor] button. A list of possible
     adaptors should be displayed. Go to the end of this list and select
        '<Other> Requires disk from manufacturer'

  d) When prompted for the path, specify the drive and directory where the
     NCPA can find the new driver for the card you installed.

   a:\NT4.IO     ===> specify for P640N card in I/O map mode.

   a:\NT4.MEM    ===> specify for P640N card in memory map mode.

NOTE: It is very important for user to assign correct directory for each
      type of cards.

  e) Now, you can follow the configuration dialog boxes to finish the
     PCIPORT card's driver. The important thing is to let COM port number
     no confliction with other card.

  f) After above procedure we need to select "Binding" function to let more
     serial port available. If you do not have "Binding" function done, you
     may not have extra COM port available in next boot procedure.

A-5: How to install WIN2000/XP driver.

  Once Windows 2000 system has been started, the Plug & Play function in
2000/XP system will find the new PCIPORT card. If this is the first time
to install PCIPORT card in your 2000/XP system, you will be informed to
install the driver. Please follow the instruction message to specify the
driver location.

         A:\WIN2000   (NOTE: don't select wrong path a:\WIN95)

  Due to the COM port start number will be assigned by WIN2000/XP in driver
installation procedure. If you need to specify other COM port start number
for PCIPORT card, you may need to setup it in our driver. When you installed
PCIPORT driver in your WIN2000/XP system, you can enter "control panel-->
system-->Hardware-->Device Manager-->Multi-port serial adapter-->setup" to
specify your target value.

  In WIN2000 system the driver for port is installed automatically. In
XP system the driver for port is installed and confirmed for each port.

                        ------15------


A-6: How to install Linux system driver.

  P640N card has same diskette as IOP3927 card. Detail installation
procedure can check chapter 5.

  User need to specify the card type with correct item. Because P640N card
can be I/O map mode type and memory map mode type. The default condition
for P640N card is I/O map mode.

  The TTY device name for P640N card is
a) /dev/tty9[1-8][a-h] for 1'st card mode (JP1 jumper on).
b) /dev/ttyA[1-8][a-h] for 2'nd card mode (JP1 jumper off).

A-7: How to install SCO Openserver driver.

  P640N card has similar function as IOP3927 card. Detail installation
procedure can check chapter 2.

  User need to specify the card type with correct item. Because P640N card
can be I/O map mode type and memory map mode type. The default condition
for P640N card is I/O map mode. After driver installation the driver is in
directory /etc/NTCARD. If user installed the driver with wrong type (one
memory map card use I/O map card's driver or one I/O map card use memory
map card's driver), you may have following error message in boot procedure.

a) NTCARD: ERROR Wrong type driver installed.
   this error message is due to wrong hardware type and driver type. User
need to specify correct DRIVER in /etc/NTCARD/OBJ directory. In this
directory we have Driver.o as working driver. We also have "Driver.io" for
I/O map type driver and "Driver.mem" for memory map type driver. Please
copy the target type driver to working driver "Driver.o" file.

b) NTCARD Mem translate error!
   this error message is due to wrong PCI resource report in P640N card.
Generally we have I/O map P640N need 512byte I/O map from system. But some
system can not support 512byte I/O and don't assign I/O map to P640N card.
In this condition user need to memory mode P640N card.


  The TTY device name for P640N card is
a) /dev/tty9[1-8][a-h] for 1'st card mode (JP1 jumper on).
b) /dev/ttyA[1-8][a-h] for 2'nd card mode (JP1 jumper off).

  Because P640N card need IRQ service in SCO Openserver system. SCO
Openserver system need to bundle IRQ service routine to kernel. So we
must know the IRQ number in driver installation procedure. User must
insert P640N card in system and install driver. But PCI system is P&P
system. So the PC environment changed may let P640N card be assigned
different IRQ number. This will let P640N card with wrong IRQ service
routine and no data transmission function available. In this condition
(system environment is changed and assign different IRQ to P640N card) we
need to rebuild driver. User can go to directory /etc/NTCARD and run
"./rebuild" to link system again. In next boot procedure you must have
correct operation in TTY device.

                        ------16------

                        Appendix B
                 How to use MUX3927 card
               ============================

B-1: How to use MUX3927 card.

  One MUX3927 card can have eight RS232 port to connect with eight RMX600E
or RMX828 connector box in different location. Each connector box can
support four or eight RS232 ports. So one MUX3927 card can support upto
64 RS232 ports in eight different location. Each location we have one
RMX600E connector box.

  In normal application the distance between MUX3927 card and RMX600E
connector box will be 50 feet(sometimes may use upto 50 meters) in same
building. In special condition we can also use leased line MODEM between
MUX3927 card and RMX600E connector box. So there are no distance limitation
between MUX3927 card and RMX600E connector box.

B-2: How to install NT4 system driver.

  Once Windows NT system has been started, login using an account with
administrative rights.
  a) Start the [Control Panel] applet by double clicking its icon in the
     [Program Managers] main group.

  b) In the [Control Panel] applet, double click [Network] icon to bring
     up the Network Control Panel Applet(NCPA).

  c) Within the NCPA, select the [Add Adaptor] button. A list of possible
     adaptors should be displayed. Go to the end of this list and select
        '<Other> Requires disk from manufacturer'

  d) When prompted for the path, specify the drive and directory where the
     NCPA can find the new driver for the card you installed.

                 a:\NT4

  e) Now, you can follow the configuration dialog boxes to finish the
     MUX3927 card's driver. The important thing is to let COM port number
     no confliction with other card.

  f) After above procedure we need to select "Binding" function to let more
     serial port available. If you do not have "Binding" function done, you
     may not have extra COM port available in next boot procedure.

  g) User need to setup the COM port parameter in MUX3927 card to match
     the connection with RMX600E box. We can run in "control panel" to setup
     such parameter.

B-3: How to install WIN2000/XP driver.

  Once Windows 2000 system has been started, the Plug & Play function in
2000/XP system will find the new MUX3927 card. If this is the first time
to install MUX3927 card in your 2000/XP system, you will be informed to
install the driver. Please follow the instruction message to specify the
driver location.

         A:\WIN2000

                        ------17------

  Due to the COM port start number will be assigned by WIN2000/XP in driver
installation procedure. If you need to specify other COM port start number
for MUX3927 card, you may need to setup it in our driver. When you installed
MUX3927 driver in your WIN2000/XP system, you can enter "control panel-->
system-->Hardware-->Device Manager-->Multi-port serial adapter-->setup" to
specify your target value.

  In WIN2000 system the driver for port is installed automatically. In
XP system the driver for port is installed and confirmed for each port.

  User need to setup the COM port parameter in MUX3927 card to match
the connection with RMX600E box. We can run in "control panel" to setup
such parameter.

B-4: How to install Linux system driver.

  MUX3927 card has similar diskette as IOP3927 card. Detail installation
procedure can check chapter 5.

  User need to specify the card type with correct item.

  The driver directory for MUX3927 card is in /etc/rayon. Because we need
to specify the baud rate for COM port to connect with RMX600E box, so we
need to specify before usage. In /etc/rayon directory we have two
utility files to evaluate and monitor our TTY port.

        a)etty : this file can be used to send or receive data to dedicated
                 TTY port. And the data received will be compare to default
                 transmit data. We can have two TTY port to test. One port
                 is set to receive mode and the other port is set to
                 transmit mode. So we can check the data integrity.

        b)om : this file can be used to monitor data transmission condition
               in all TTY port. We can only display 16 TTY port in one
               screen. User can have one utility to display only 16 TTY
               port. User can have the other utility to change the display
               screen for different TTY port periodically.

  In /etc/rayon/utility directory we have one utility files to setup the COM
port parameter.

        a)setup : this file can be used to setup the baud rate for each
                  COM port in MUX3927 card to connect with RMX600E box.
             ./setup 0   is used setup the MUX3927 card in 1'st card mode.
             ./setup 1   is used setup the MUX3927 card in 2'nd card mode.

NOTE: After driver installed and reboot, we must run "setup" to setup the
      parameter for COM port. After setup the parameter must be saved.

  The TTY device name for MUX3927 card is
a) /dev/tty6[1-8][a-h] for 1'st card mode (JP1 jumper on).
b) /dev/tty7[1-8][a-h] for 2'nd card mode (JP1 jumper off).

  [1-8] is used for RMX600E connector box to connect with TTYA--TTYH
        connector in MUX3927 card. The connector box to connect with
        TTYA is value 1.
  [a-h] is used for RMX600E connector box's port A--H.

                        ------18------

B-5: How to install SCO Openserver driver.

  MUX3927 card has similar function as IOP3927 card. Detail installation
procedure can check chapter 2.

  The driver directory for MUX3927 card is in /etc/MUX3927. Because we need
to specify the baud rate for COM port to connect with RMX600E box, so we
need to specify before usage. In /etc/MUX3927 directory we have three
utility files.
        a)etty : this file can be used to send or receive data to dedicated
                 TTY port. And the data received will be compare to default
                 transmit data. We can have two TTY port to test. One port
                 is set to receive mode and the other port is set to
                 transmit mode. So we can check the data integrity.

        b)om : this file can be used to monitor data transmission condition
               in all TTY port. We can only display 16 TTY port in one
               screen. User can strike any key to change TTY port to be
               displayed.

        c)setup : this file can be used to setup the baud rate for each
                  COM port in MUX3927 card to connect with RMX600E box.
             ./setup 0   is used setup the MUX3927 card in 1'st card mode.
             ./setup 1   is used setup the MUX3927 card in 2'nd card mode.

NOTE: After driver installed and reboot, we must run "setup" to setup the
      parameter for COM port. After setup the parameter must be saved.

  The TTY device name for MUX3927 card is
a) /dev/tty6[1-8][a-h] for 1'st card mode (JP1 jumper on).
b) /dev/tty7[1-8][a-h] for 2'nd card mode (JP1 jumper off).

  [1-8] is used for RMX600E connector box to connect with TTYA--TTYH
        connector in MUX3927 card. The connector box to connect with
        TTYA is value 1.
  [a-h] is used for RMX600E connector box's port A--H.

NOTE: Because we can have eight RS232 port to connect with RMX600E box. So
      we can have 64 TTY device to be created and used in SCO UNIX system.
      In real application environment you may not connect with eight
      RMX600E boxes or such RMX600E box do not power on. So you may not
      "open" such TTY device for this RMX600E box successfully. Terminal
      user can check the LINK LED in RMX600E box to know this condition.

                        ------19------

                          Appendix C
                    RAYON REPAIR PROCEDURE
                  ==========================

1. RETURN MATERIAL AUTHORIZATION (RMA or RA)

  RAYON requires that you provide the following information :

        * Model number

        * RAYON serial number

        * The reason for returning the products

  ######################################################################
  #  We strongly suggest that you can check with RAYON by E_mail before#
  #you can confirm the reason for returning the products. Because some #
  #problem may be due to wrong software usage or setup.                #
  #                 rayon@ms1.hinet.net                                #
  ######################################################################

        * Your purchase-order number

  You will be given the following information from your RAYON Service
Representative:

        * Your Return Material Authorization Number (RMA or RA Number)

        * Information regarding applicable charges

        * The address to which you will return the products

2. REPAIR CHARGES

  All RAYON products have a one year warranty. Products that are damaged or
modified are not covered.

  This limited warranty covers defects in materials and workmanship in your
RAYON-branded hardware products. This limited warranty does not cover
problems that result from:
  *external causes such as accident,abuse,misuse,or problems with
   electrical power.
  *Servicing not authorized by us.
  *Usage that is not in accordance with product instructions.
  *Failure to follow the product instructions or failure to perform
   preventive maintenance.

  Products that are covered under the original warranty and that are found
defective by RAYON will be repaired at no cost. A standard handling and
testing charge will be assessed for products returned for warranty repair
that are found to be operating properly.

  Products that are no longer covered under warranty will be repaired, if
deemed repairable, for a flat rate charge regardless of the repair work
required.

  Please contact the nearest RAYON Service Center for current pricing
information.
